Bug 66482 - kspread crashes importing Excel file
kspread crashes importing Excel file
Product: Red Hat Linux
Classification: Retired
Component: koffice (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Depends On:
  Show dependency treegraph
Reported: 2002-06-11 00:58 EDT by Bill Woodward
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 14:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Hero System 5th Edition Excel character sheet (321.50 KB, application/octet-stream)
2002-06-11 01:02 EDT, Bill Woodward
no flags Details

  None (edit)
Description Bill Woodward 2002-06-11 00:58:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
kspread (from the koffice-1.1.1-5 RPM) crashes when I attempt to load a
particular Microsoft Excel file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download the Excel File
2. Start kspread
3. Open the Excel from the initial kspread popup ("Open an existing document",
select hero5th.xls)
4. Boom!

Actual Results:  A stack trace is produced in the KDE Crash handler:

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...[New Thread 1024 (LWP 21030)]
0x420b4769 in wait4 () from /lib/i686/libc.so.6
#0  0x420b4769 in wait4 () from /lib/i686/libc.so.6
#1  0x4213030c in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40ef4ca3 in waitpid () from /lib/i686/libpthread.so.0
#3  0x406b88d2 in KCrash::defaultCrashHandler ()
   from /usr/lib/libkdecore-gcc2.96.so.4
#4  0x40ef2f75 in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x00000051 in ?? ()
#7  0x4179986c in ExcelFilter::filter ()
   from /usr/lib/kde3/libolefilter-gcc2.96.so
#8  0x41778b0a in OLEFilter::convert ()
   from /usr/lib/kde3/libolefilter-gcc2.96.so
#9  0x417721f7 in OLEFilter::filter ()
   from /usr/lib/kde3/libolefilter-gcc2.96.so
#10 0x4121a59e in KoFilterManager::import ()
   from /usr/lib/libkofficecore-gcc2.96.so.1
#11 0x41210ae7 in KoDocument::openFile ()
   from /usr/lib/libkofficecore-gcc2.96.so.1
#12 0x41210709 in KoDocument::openURL ()
   from /usr/lib/libkofficecore-gcc2.96.so.1
#13 0x4146e474 in KSpreadDoc::initDoc ()
   from /usr/lib/kde3/libkspreadpart-gcc2.96.so
#14 0x412270fc in KoApplication::start ()
   from /usr/lib/libkofficecore-gcc2.96.so.1
#15 0x40014db3 in main () from /usr/lib/kspread-gcc2.96.so
#16 0x0804cee9 in strcpy ()
#17 0x0804dbcc in strcpy ()
#18 0x0804e016 in strcpy ()
#19 0x0804f505 in strcpy ()
#20 0x42017499 in __libc_start_main () from /lib/i686/libc.so.6

Expected Results:  No crash, file opens

Additional info:

The Excel file opens successfully (and mostly correctly) in gnumeric.
Comment 1 Bill Woodward 2002-06-11 01:02:12 EDT
Created attachment 60464 [details]
Hero System 5th Edition Excel character sheet
Comment 2 Petr Rockai 2006-07-17 14:37:20 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 3 Bill Nottingham 2006-10-18 14:14:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.